# OgreGLSLExtSupport.h File Reference

`#include "OgreGLPrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

void | checkForGLSLError (const String &ogreMethod, const String &errorTextPrefix, const GLhandleARB obj, const bool forceInfoLog=false, const bool forceException=false)
| Check for GL errors and report them in the Ogre Log.
String | logObjectInfo (const String &msg, const GLhandleARB obj)
| if there is a message in GL info log then post it in the Ogre Log

## Function Documentation

void Ogre::checkForGLSLError | ( | const String & | ogreMethod,
|  | const String & | errorTextPrefix,
|  | const GLhandleARB | obj,
|  | const bool | forceInfoLog = `false`,
|  | const bool | forceException = `false`
| ) |

Check for GL errors and report them in the Ogre Log.

Parameters:

  | forceInfoLog | if true then message from GL info log is obtained
  | forceException | if true then exception is generated if a GL error found

String Ogre::logObjectInfo | ( | const String & | msg,
|  | const GLhandleARB | obj
| ) |

if there is a message in GL info log then post it in the Ogre Log

Parameters:

  | msg | the info log message string is appended to this string
  | obj | the GL object that is used to retrieve the info log

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006